org.apache.ignite.mxbean

## Interface StripedExecutorMXBean

All Known Implementing Classes:
  StripedExecutorMXBeanAdapter

    @MXBeanDescription(value="MBean that provides access to information about striped executor service.")
    public interface StripedExecutorMXBean

MBean that provides access to information about striped executor service.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `checkStarvation()` Checks for starvation in striped pool, dumps in log information if potential starvation was found.
`int` `getActiveCount()`
`boolean[]` `getStripesActiveStatuses()`
`long[]` `getStripesCompletedTasksCounts()`
`int` `getStripesCount()`
`int[]` `getStripesQueueSizes()`
`long` `getTotalCompletedTasksCount()`
`int` `getTotalQueueSize()`
`boolean` `isShutdown()`
`boolean` `isTerminated()` Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.

### Method Detail

#### checkStarvation

    @MXBeanDescription(value="Checks for starvation in striped pool.")
    void checkStarvation()

Checks for starvation in striped pool, dumps in log information if potential starvation was found.

#### getStripesCount

    @MXBeanDescription(value="Stripes count.")
    int getStripesCount()

Returns:
  Stripes count.

#### isShutdown

    @MXBeanDescription(value="True if this executor has been shut down.")
    boolean isShutdown()

Returns:
  `True` if this executor has been shut down.

#### isTerminated

    @MXBeanDescription(value="True if all tasks have completed following shut down.")
    boolean isTerminated()

Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.

Returns:
  `True` if all tasks have completed following shut down.

#### getTotalQueueSize

    @MXBeanDescription(value="Total queue size of all stripes.")
    int getTotalQueueSize()

Returns:
  Return total queue size of all stripes.

#### getTotalCompletedTasksCount

    @MXBeanDescription(value="Completed tasks count of all stripes.")
    long getTotalCompletedTasksCount()

Returns:
  Completed tasks count.

#### getStripesCompletedTasksCounts

    @MXBeanDescription(value="Number of completed tasks per stripe.")
    long[] getStripesCompletedTasksCounts()

Returns:
  Number of completed tasks per stripe.

#### getActiveCount

    @MXBeanDescription(value="Number of active tasks of all stripes.")
    int getActiveCount()

Returns:
  Number of active tasks.

#### getStripesActiveStatuses

    @MXBeanDescription(value="Number of active tasks per stripe.")
    boolean[] getStripesActiveStatuses()

Returns:
  Number of active tasks per stripe.

#### getStripesQueueSizes

    @MXBeanDescription(value="Size of queue per stripe.")
    int[] getStripesQueueSizes()

Returns:
  Size of queue per stripe.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018